Commit bf4cecfd authored by Javier Fernandez-Sanguino Pen~a's avatar Javier Fernandez-Sanguino Pen~a Committed by Lock Lin

Import Debian patch 3.0.2-2

parent 8282086c
openvas-scanner (3.0.2-2) experimental; urgency=low
* Lintian fixes:
- 30_strip_cvnts.dpatch: Strip the .nes files of symbols when installing them.
- Also stop openvassd in runlevel 1
-- Javier Fernandez-Sanguino Pen~a <jfs@debian.org> Wed, 24 Mar 2010 00:29:04 +0100
openvas-scanner (3.0.2-1) experimental; urgency=low
* Remove 10_clean_libraries.dpatch and 20_openvas-nvt-sync_tmpdir.dpatch, they
both had been added upstream.
* Remove 10_clean_libraries.dpatch.
* Update 20_openvas-nvt-sync_tmpdir.dpatch, even though it was included
upstream the patch I provided was wrong and needs fixing.
* Create openvas-scanner.preinst so that the configuration files of
openvas-server are copied over for use in openvas-scanner.
......
20_openvas-nvt-sync_var.dpatch
30_strip_cvnts.dpatch
......@@ -5,26 +5,15 @@
## DP: No description.
@DPATCH@
diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' openvas-scanner-3.0.1~/openvas-nvt-sync.in openvas-scanner-3.0.1/openvas-nvt-sync.in
--- openvas-scanner-3.0.1~/tools/openvas-nvt-sync.in 2010-01-26 16:35:37.000000000 +0100
+++ openvas-scanner-3.0.1/tools/openvas-nvt-sync.in 2010-03-22 03:34:00.000000000 +0100
@@ -58,6 +58,11 @@
if [ -z "$TMPDIR" ]; then
diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' openvas-scanner-3.0.2~/tools/openvas-nvt-sync.in openvas-scanner-3.0.2/tools/openvas-nvt-sync.in
--- openvas-scanner-3.0.2~/tools/openvas-nvt-sync.in 2010-03-23 22:05:26.000000000 +0100
+++ openvas-scanner-3.0.2/tools/openvas-nvt-sync.in 2010-03-23 22:06:06.000000000 +0100
@@ -60,7 +60,7 @@
SYNC_TMP_DIR=/tmp
+# If we have mktemp, create a temporary dir (safer)
+ if [ -n "`which mktemp`" ]; then
+ SYNC_TMP_DIR=`mktemp -d openvas-nvt-sync` || { echo "ERROR: Cannot create temporary directory for file download" >&2; exit 1 ; }
+ trap "rm -rf $SYNC_TMP_DIR" 0 1 2 5 15
+ fi
# If we have mktemp, create a temporary dir (safer)
if [ -n "`which mktemp`" ]; then
- SYNC_TMP_DIR=`mktemp -d openvas-nvt-sync` || { echo "ERROR: Cannot create temporary directory for file download" >&2; exit 1 ; }
+ SYNC_TMP_DIR=`mktemp -t -d openvas-nvt-sync.XXXXXXXXXX` || { echo "ERROR: Cannot create temporary directory for file download" >&2; exit 1 ; }
trap "rm -rf $SYNC_TMP_DIR" 0 1 2 5 15
fi
else
SYNC_TMP_DIR="$TMPDIR"
fi
@@ -91,6 +96,7 @@
echo "NVT_DIR where to extract plugins (absolute path)"
echo "OV_RSYNC_FEED URL of rsync feed"
echo "OV_HTTP_FEED URL of http feed"
+ echo "TMPDIR temporary directory used to download the files"
echo "Note that you can use standard ones as well (e.g. http_proxy) for wget/curl"
echo ""
exit 0
#! /bin/sh /usr/share/dpatch/dpatch-run
## 30_strip_cvnts.dpatch by <jfs@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.
@DPATCH@
diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' openvas-scanner-3.0.2~/Makefile openvas-scanner-3.0.2/Makefile
--- openvas-scanner-3.0.2~/Makefile 2010-03-22 03:25:03.000000000 +0100
+++ openvas-scanner-3.0.2/Makefile 2010-03-24 00:28:44.000000000 +0100
@@ -96,7 +96,7 @@
test -d $(DESTDIR)${libdir}/openvas/plugins || $(INSTALL_DIR) -m 755 \
$(DESTDIR)${libdir}/openvas/plugins
for plugins in bin/*.nes; do \
- $(INSTALL) -m 555 $$plugins \
+ $(INSTALL) -s -m 555 $$plugins \
$(DESTDIR)${libdir}/openvas/plugins; \
done
......@@ -92,7 +92,7 @@ binary-arch: build install
dh_install --sourcedir=debian/tmp
dh_installdebconf
dh_installlogrotate
dh_installinit -n -r -u stop 20 0 6 .
dh_installinit -n -r -u stop 20 0 1 6 .
dh_installman
dh_link
dh_strip
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment